# -*- encoding: utf-8 -*-
# stub: logstash-input-dis 1.1.4 ruby lib

Gem::Specification.new do |s|
  s.name = "logstash-input-dis".freeze
  s.version = "1.1.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "logstash_group" => "input", "logstash_plugin" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Data Ingestion Service".freeze]
  s.date = "2020-02-17"
  s.description = "This gem is a Logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/logstash-plugin install gemname. This gem is not a stand-alone program".freeze
  s.email = "dis@huaweicloud.com".freeze
  s.homepage = "https://www.huaweicloud.com/product/dis.html".freeze
  s.licenses = ["Apache License (2.0)".freeze]
  s.requirements = ["jar 'com.huaweicloud.dis:huaweicloud-dis-kafka-adapter', '1.2.9'".freeze, "jar 'org.apache.logging.log4j:log4j-slf4j-impl', '2.8.2'".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Reads events from a DIS Stream".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<jar-dependencies>.freeze, ["~> 0.3.2"])
    s.add_runtime_dependency(%q<logstash-core-plugin-api>.freeze, [">= 1.60", "<= 2.99"])
    s.add_runtime_dependency(%q<logstash-codec-json>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<logstash-codec-plain>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<stud>.freeze, [">= 0.0.22", "< 0.1.0"])
    s.add_development_dependency(%q<logstash-devutils>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec-wait>.freeze, [">= 0"])
  else
    s.add_dependency(%q<jar-dependencies>.freeze, ["~> 0.3.2"])
    s.add_dependency(%q<logstash-core-plugin-api>.freeze, [">= 1.60", "<= 2.99"])
    s.add_dependency(%q<logstash-codec-json>.freeze, [">= 0"])
    s.add_dependency(%q<logstash-codec-plain>.freeze, [">= 0"])
    s.add_dependency(%q<stud>.freeze, [">= 0.0.22", "< 0.1.0"])
    s.add_dependency(%q<logstash-devutils>.freeze, [">= 0"])
    s.add_dependency(%q<rspec-wait>.freeze, [">= 0"])
  end
end
